Subject: Re: bug#79047: Add some multi-character pairs to some major modes.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Jul 2025 17:41:54 +0300

> Date: Fri, 25 Jul 2025 13:39:07 +0000
> Cc: [email-masked], [email-masked], [email-masked],
>   [email-masked], [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > What does this have to do with the issue at hand?
> 
> I'm not sure what you see as the issue.

This is a bug report whose purpose is stated in the Subject and in the
original message posted to the discussion.  Could we please return to
that issue, and leave your gripes about post-self-insert-hook to
another discussion?

> I see the issue as the
> unusability of self-insert-command, and I've analysed the cause of this.

That's not the issue at hand.  The issue at hand is the question asked
in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=79047#5

I'd like to hear your opinion about that suggestion wrt CC Mode.  If
you are against that, please just say so, and then we will not make
the suggested changes in CC Mode.  If you don't mind, or want to see
the proposed patch, or have some other response to that question,
specifically, please voice your opinions, and let's move on.

> Forgive me for pointing out that this was another instance of a big
> feature being introduced into Emacs without prior discussion
> on emacs-devel, what I was complaining about last November.  I spotted
> its flaw instantly on becoming aware of the new feature, but that was too
> late actually to get anything done about it.

Sorry, that's not relevant to this bug report.

> I'm not happy about the state of c-electric-paren.

I understand, but that is not what is being discussed here.